# Uses of Class
org.opensaml.xmlsec.impl.BasicDecryptionConfiguration

Packages that use BasicDecryptionConfiguration
Package
Description
org.opensaml.xmlsec.config.impl
Configuration and initialization of security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of BasicDecryptionConfiguration in org.opensaml.xmlsec.config.impl

Methods in org.opensaml.xmlsec.config.impl that return BasicDecryptionConfiguration
Modifier and Type
Method
Description
`static BasicDecryptionConfiguration`
DefaultSecurityConfigurationBootstrap.`buildDefaultDecryptionConfiguration()`
Build and return a default decryption configuration.

## Uses of BasicDecryptionConfiguration in org.opensaml.xmlsec.impl

Methods in org.opensaml.xmlsec.impl that return BasicDecryptionConfiguration
Modifier and Type
Method
Description
`BasicDecryptionConfiguration`
BasicDecryptionConfiguration.`setDataKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`BasicDecryptionConfiguration`
BasicDecryptionConfiguration.`setEncryptedKeyResolver(EncryptedKeyResolver resolver)`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
`BasicDecryptionConfiguration`
BasicDecryptionConfiguration.`setKEKKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).